Subject: Re: Prefix-set in policy yang

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 20 Apr 2020 18:02:07 +0000

Hi Asky,
No – it doesn’t match the Cisco prefix-list semantics in this respect. We started with the OpenConfig routing policy model and hence the restriction of not being able to interleave permit and deny rules in the same prefix-set. So, one can implement the OpenConfig prefix-sets with Cisco (or copy-cat) prefix-lists but not vice-versa. We wouldn’t want to change this without WG discussions. There are other BGP specific policies that don’t allow permit and deny in the same set as well (e.g., see community-sets - https://datatracker.ietf.org/doc/draft-ietf-idr-bgp-model/).
Thanks,
Acee

From: Asky Lee <[email-masked]>
Date: Monday, April 20, 2020 at 7:33 AM
To: Acee Lindem <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Jeff Tantsura <[email-masked]>, Xufeng Liu <[email-masked]>
Subject: Prefix-set in policy yang

Hi Experts,

How are you. I’m one engineer from ADVA.  I have one question about prefix-list, can you please clarify?

When I read https://tools.ietf.org/html/draft-ietf-rtgwg-policy-model-09, it seems match Cisco’s route-map.

I wonder whether prefix-list feature are defined somewhere as well. The difference between prefix-list and route-policy’s prefix-set is each prefix-list entry has one action permit/deny. Can you please clarify it?

ipv4 prefix-list list1
10 permit 172.20.10.171/16 le 24
20 permit 172.18.0.0/16
30 deny 172.24.20.164/16 ge 25

Thanks,
Asky Lee

Please see our privacy statement at https://www.adva.com/en/about-us/legal/privacy-statement for details of how ADVA processes personal information.